Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 84396 - windowmaker segfaults when alt-tab, but only...
Summary: windowmaker segfaults when alt-tab, but only...
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: High minor (vote)
Assignee: Gnustep herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-07 07:12 UTC by Mark Dominik Bürkle
Modified: 2005-05-03 14:16 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Dominik Bürkle 2005-03-07 07:12:26 UTC
windowmaker segfaults when using alt-tab while having firefox as a front window.

This must be some sort of user-error: I re-cycled my old /home/, because of this, most of the pixmap-paths were not existent and even "xterm" didn't have any icon associated within the "window list".



Reproducible: Always
Steps to Reproduce:
(not sure if this can be reproduced, see step one)
1. start a windowmaker session -- maybe have to delete some pixmap or icon paths from Your ~/GNUstep/ files
  - I didn't have icons for "WPrefs" and "WMDock", either, btw:)
2. open up two xterms
  - cycling with alt-tab between them still possible.
  - Press alt-tab, keep alt pressed: the "window list" didn't have any icons (empty frames around windowlist background)
3. start firefox
  - a) with xterm in front, alt-tab works as before in step 2
  - b) with firefox in front,
     - alt-tab will "flash" through the window list: puts every window in foreground, one after the other, until the current window (firefox) is on top again. Changing the foreground window with alt-tab is impossible
     - clicking on the xterm window will still bring it up front, with no error
       (minimizing firefox or "rolling it up" might help You in doing so)
     - sooner or later some alt-tab keypress sequence will make windowmaker segfault, usually the second to fourth try will produce a segfault.

Actual Results:  
windowmaker segfaulted, asked for action (restart/coredump/start other wm)

Expected Results:  
change current front window, "away from firefox"

didn't try with any other apps.

WORKAROUND: 
I corrected my WMPrefs, now I don't have any segfaults any more, all works as
expected.


I've also had windowmaker give me a core file, but I didn't look at it yet, just
renamed it so it won't be overwritten automatically. 1,8 MB core file available
upon request.
Comment 1 Armando Di Cianno (RETIRED) gentoo-dev 2005-03-17 18:34:19 UTC
I have not been able to recreate this bug -- the workaround you posted sounds like you fixed the bug.

Marking as fixed as config files were b0rked (likely from an upgrade of 0.8X -> 0.9X?.
Comment 2 Mark Dominik Bürkle 2005-05-03 03:34:22 UTC
Yes, it was an implicit upgrade -- /home was kept, including GNUStep/ et al.
Comment 3 Mark Dominik Bürkle 2005-05-03 14:16:34 UTC
hm - may close, can't I?